package cn.superdesk.uniorder.dao.entity.statistics.prayable;

import java.math.BigDecimal;
import java.util.Date;

public class StPayableDayDataEntity {
    private Long id;

    private String pertainMonth;

    private Date accountAt;

    private Byte accountType;

    private Long creditId;

    private Long settlementId;

    private String settlementName;

    private BigDecimal merchTaxRate;

    private BigDecimal costNoTax;

    private BigDecimal taxAmount;

    private BigDecimal payableAmount;

    private String remark;

    private String createUserName;

    private Long createUserId;

    private Date createdAt;

    private String updateUserName;

    private Long updateUserId;

    private Date updateTime;

    private String detailId;

    private String serviceNo;

    private String serviceNoName;

    private Byte accountWay;

    private String accountingOrderSn;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPertainMonth() {
        return pertainMonth;
    }

    public void setPertainMonth(String pertainMonth) {
        this.pertainMonth = pertainMonth;
    }

    public Date getAccountAt() {
        return accountAt;
    }

    public void setAccountAt(Date accountAt) {
        this.accountAt = accountAt;
    }

    public Byte getAccountType() {
        return accountType;
    }

    public void setAccountType(Byte accountType) {
        this.accountType = accountType;
    }

    public Long getCreditId() {
        return creditId;
    }

    public void setCreditId(Long creditId) {
        this.creditId = creditId;
    }

    public Long getSettlementId() {
        return settlementId;
    }

    public void setSettlementId(Long settlementId) {
        this.settlementId = settlementId;
    }

    public String getSettlementName() {
        return settlementName;
    }

    public void setSettlementName(String settlementName) {
        this.settlementName = settlementName;
    }

    public BigDecimal getMerchTaxRate() {
        return merchTaxRate;
    }

    public void setMerchTaxRate(BigDecimal merchTaxRate) {
        this.merchTaxRate = merchTaxRate;
    }

    public BigDecimal getCostNoTax() {
        return costNoTax;
    }

    public void setCostNoTax(BigDecimal costNoTax) {
        this.costNoTax = costNoTax;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(BigDecimal payableAmount) {
        this.payableAmount = payableAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getServiceNo() {
        return serviceNo;
    }

    public void setServiceNo(String serviceNo) {
        this.serviceNo = serviceNo;
    }

    public String getServiceNoName() {
        return serviceNoName;
    }

    public void setServiceNoName(String serviceNoName) {
        this.serviceNoName = serviceNoName;
    }

    public Byte getAccountWay() {
        return accountWay;
    }

    public void setAccountWay(Byte accountWay) {
        this.accountWay = accountWay;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }
}